Loading...
Searching...
No Matches
async_client.h File Reference
`#include <functional>`
`#include <list>`
`#include <memory>`
`#include <stdexcept>`
`#include <tuple>`
`#include <vector>`
`#include "MQTTAsync.h"`
`#include "mqtt/callback.h"`
`#include "mqtt/create_options.h"`
`#include "mqtt/delivery_token.h"`
`#include "mqtt/event.h"`
`#include "mqtt/exception.h"`
`#include "mqtt/iaction_listener.h"`
`#include "mqtt/iasync_client.h"`
`#include "mqtt/iclient_persistence.h"`
`#include "mqtt/message.h"`
`#include "mqtt/properties.h"`
`#include "mqtt/string_collection.h"`
`#include "mqtt/thread_queue.h"`
`#include "mqtt/token.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::async_client

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::async_client_ptr = async_client::ptr_t

## Functions

const string | mqtt::PAHO_MQTTPP_VERSION_STR ("Paho MQTT C++ (mqttpp) v1.6.0")
const string | mqtt::PAHO_MQTTPP_COPYRIGHT ("Copyright (c) 2013-2026 Frank Pagliughi")

## Variables

const uint32_t | mqtt::PAHO_MQTTPP_VERSION = 0x01060000
const uint32_t | mqtt::VERSION {PAHO_MQTTPP_VERSION}
const string | mqtt::VERSION_STR {PAHO_MQTTPP_VERSION_STR}
const string | mqtt::COPYRIGHT {PAHO_MQTTPP_COPYRIGHT}

## Detailed Description

Declaration of MQTT async_client class

Date
  May 1, 2013

Author
  Frank Pagliughi